import javax.swing.*;

/**
 * Set up the window with a fixed size and put a graphics component of my
 * own into it.
 * Changes since version 9:made the window larger so we have time to see
 * the shape move.
 * @version 10, 13 Sept 2006.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        frame.setSize(500, 700);
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Add something to the window.
        JComponent contents = new MyComponent();
        frame.add(contents);
        
        // Show the window.
        frame.setVisible(true);
    }
}
