import javax.swing.JComponent;
import java.awt.*;
import java.awt.geom.*;
/**
 * A simple graphics component, displaying a shape that moves at every
 * redisplay.  This isn't really a good way to do animation, but it's simple
 * and easy to understand.
 * Changes since version 8: took out most of the shapes, added some instance
 * variables to keep track of where the box is, and added statements to
 * modify its location.
 * 
 * @author Stephen Bloch
 * @version 9, Sept 13 2006
 */
public class MyComponent extends JComponent
{
    // instance variables
    /** @since version 9 */
    private int x, y;
    /**
     * Constructor for objects of class MyComponent
     */
    public MyComponent()
    {
        // initialize instance variables
        this.x = 75;
        this.y = 58;
    }

    /**
     * Display some shapes and text.
     * 
     * @param  g    a Graphics context into which we are to draw
     */
    public void paintComponent (Graphics g) {
        final int BOX_WIDTH = 34, BOX_HEIGHT = 21;
        final int BOX_DX = 5, BOX_DY = 7;
        
        Graphics2D g2 = (Graphics2D)g;
        
        Rectangle box = new Rectangle (this.x, this.y, BOX_WIDTH, BOX_HEIGHT);
        g2.fill (box);
        
        // update the location
        this.x += BOX_DX;
        this.y += BOX_DY;
    }
}
